memalign(3)

NAME
memalign - memory aligned allocate

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <malloc.h>

[[deprecated]] void *memalign(size_t alignment, size_t size);

DESCRIPTION
memalign() is equivalent to aligned_alloc(3), except for the CAVEATS documented below.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

VERSIONS
On some systems memalign() is declared in <stdlib.h> instead of <malloc.h>.

STANDARDS
None.

HISTORY
glibc 2.0. SunOS 4.1.3.

CAVEATS
memalign() may not check that the alignment argument is correct.

Some systems provide no way to reclaim memory allocated with memalign() (because one can pass to free(3) only a pointer obtained from malloc(3), while, for example, memalign() would call malloc(3) and then align the obtained value). The glibc implementation allows memory obtained from memalign() to be reclaimed with free(3).

SEE ALSO
aligned_alloc(3)